set linesize 32000
set pagesize 1000
set long 2000000000
set longchunksize 1000
set head off;
set verify off;
set termout off;
 
column u new_value us noprint;
column n new_value ns noprint;
 
select name n from v$database;
select user u from dual;
set sqlprompt &ns:&us>

set head on
set echo on
set termout on
set trimspool on

spool &ns.bug1.log

set define off

drop table test;

create table test as select * from dba_tables;

execute dbms_stats.gather_table_stats(NULL,'TEST');

DECLARE
  my_plans PLS_INTEGER;
BEGIN
  my_plans := DBMS_SPM.DROP_SQL_PLAN_BASELINE (
   plan_name => 'SQL_PLAN_dscatqjvyk4qy6b581ab9');
END;
/

select sum(blocks) from test;

select * from table(dbms_xplan.display_cursor(null,null,'ALL'));

DECLARE
  my_plans PLS_INTEGER;
BEGIN
  my_plans := DBMS_SPM.LOAD_PLANS_FROM_CURSOR_CACHE( 
    sql_id =>'4mu5a860ardpz');
END;
/

select sum(blocks) from test;

select * from table(dbms_xplan.display_cursor(null,null,'ALL'));

select sum(blocks) from test;

select * from table(dbms_xplan.display_cursor(null,null,'ALL'));

DECLARE
  my_plans PLS_INTEGER;
BEGIN
  my_plans := DBMS_SPM.DROP_SQL_PLAN_BASELINE (
   plan_name => 'SQL_PLAN_dscatqjvyk4qy6b581ab9');
END;
/

spool off
